# (c) 2026 NetBox Labs, Inc.
# Licensed under the NetBox Limited Use License v1.0
# https://netboxlabs.com/ndx/license
# Community DTL portions licensed under Apache 2.0:
# https://github.com/netbox-community/devicetype-library
---
manufacturer: Calix
model: E7-2 10GE-4
comments: '[Calix E7-2 System Sheet](https://infiniumnet.com/PublicDocs/clxds/E7-2_System.pdf)'
interfaces:
- name: XFP-1
  type: 10gbase-x-sfpp
- name: XFP-2
  type: 10gbase-x-sfpp
- name: SFP+-1
  type: 10gbase-x-sfpp
- name: SFP+-2
  type: 10gbase-x-sfpp
- name: SFP-1
  type: 1000base-x-sfp
- name: SFP-2
  type: 1000base-x-sfp
- name: SFP-3
  type: 1000base-x-sfp
- name: SFP-4
  type: 1000base-x-sfp
- name: SFP-5
  type: 1000base-x-sfp
- name: SFP-6
  type: 1000base-x-sfp
- name: SFP-7
  type: 1000base-x-sfp
- name: SFP-8
  type: 1000base-x-sfp
- name: SFP-9
  type: 1000base-x-sfp
- name: SFP-10
  type: 1000base-x-sfp
- name: SFP-11
  type: 1000base-x-sfp
- name: SFP-12
  type: 1000base-x-sfp
description: E7-2 10GE-4 line card - 2x 10GE XFP + 2x 10GE SFP+ + 12x 1GE/2.5GE SFP
  Ethernet transport
